[Overview][Classes][Procedures and functions][Index] | Reference for unit 'LCLTranslator' (#lcl)

# TPOTranslator.Create

Constructor for the class instance.

## Declaration

Source position: lcltranslator.pas line 74

`public constructor TPOTranslator.Create(`
`POFileName: string`
`); constructor TPOTranslator.Create(`
`aPOFile: TPOFile`
`);`

## Arguments

`POFileName` |  | .po file name to use for translated string values.

## Arguments

`aPOFile` |  | .po file to use for translated string values.

## Description

Create is the overloaded constructor for the class instance. Both variant call the inherited constructor to initialize the class instance. The overloaded variants allow use of a file name or a TPOFile instance in the class. TPOTranslator contains an internal TPOFile member which is used to access the translated string values.

POFileName is the file name which contains the translated values for strings. A TPOFile instance is created for the specified file name.

aPOFile is the TPPOFile class instance which contains the translated values for strings.